eoDetTournamentSelect(3)

NAME
eoDetTournamentSelect - eoDetTournamentSelect: a selection method that selects ONE individual by deterministic tournament -MS- 24/10/99

SYNOPSIS

#include <eoDetTournamentSelect.h>

Inherits eoSelectOne< EOT >.

  Public Member Functions
eoDetTournamentSelect (unsigned _tSize=2)
virtual const EOT & operator() (const eoPop< EOT > &_pop)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
unsigned tSize

Detailed Description

  template<class EOT> class eoDetTournamentSelect< EOT >
eoDetTournamentSelect: a selection method that selects ONE individual by deterministic tournament -MS- 24/10/99

Definition at line 44 of file eoDetTournamentSelect.h.

Author

Generated automatically by Doxygen for EO from the source code.